import request from '@/utils/request'

// 查询100R设备规格参数列表
export function listSpec100r(query) {
  return request({
    url: '/system/spec100r/list',
    method: 'get',
    params: query
  })
}

// 查询100R设备规格参数详细
export function getSpec100r(id) {
  return request({
    url: '/system/spec100r/' + id,
    method: 'get'
  })
}

// 新增100R设备规格参数
export function addSpec100r(data) {
  return request({
    url: '/system/spec100r',
    method: 'post',
    data: data
  })
}

// 修改100R设备规格参数
export function updateSpec100r(data) {
  return request({
    url: '/system/spec100r',
    method: 'put',
    data: data
  })
}

// 删除100R设备规格参数
export function delSpec100r(id) {
  return request({
    url: '/system/spec100r/' + id,
    method: 'delete'
  })
}
